***Impact Aware Robotics Archive***
===================================

***General Info***

Authors:
- M.J. Jongeneel
- S. Dingemans
- G. van den Brandt

Title: Archive_014_GRABScenario
Files:
- 221201_Archive_014_GRABScenario.h5
- README.md

Dynamics & Control Group, Faculty of Mechanical Engineering, Eindhoven University of Technology

Corresponding author: M.J. Jongeneel 

Contact Information: m.j.jongeneel@tue.nl

Eindhoven University of Technology - Faculty of Mechanical Engineering

P.O. Box 513 5600 MB Eindhoven The Netherlands

***General Introduction***
I.AM. archive as part of the Impact-Aware Robotics Archives Collection. This archive contains recordings of experiments where Box008 is picked up using two Franka Emika Panda robots to represent a depalatizing scenario. The purpose of these experiments is to validate the simulation software on a scenario relevant for the GRAB scenario of the I.AM. project. The involved contact is between the robot, object, and the environment, which in these recordings are two Franka Emika Panda robots, Box008, and a table, respectively. All the recordings in the archive were performed at the Innovation Lab of Vanderlande, located within the TU/e campus. More information about the dataset, the objects, and the environments used, can be found on https://impact-aware-robotics-database.tue.nl/.      

This archive is published accompanying the deliverable ``I.AM. - D1.1 - Publication of I.AM. dataset - v1.0``, see [https://i-am-project.eu/index.php/results/deliverables](https://i-am-project.eu/index.php/results/deliverables) for more info.
This research project has received funding from the European Union’s Horizon 2020 research and innovation program under grant agreement No. 871899.

***Test equipment***

The experiments involve grabbing a box (Box008) from a pallet of carton boxes with two Franka Emika Panda robots whereafter it is placed on the table. Grabbing of the box happens with relatively high velocity where the robot arms make an impact with the box at the moment of pickup. Data was logged using an OptiTrack motion capture system, an Intel Realsense D435 reference camera, and sensors from the Franka Emika robots such as joint encoders and torque sensors. Further details of the equipment are provided as metadata in each recording subfolder of the archive. 

***Description of the data in this archive***

This archive contains a total of 8 subfolders, each corresponding to a specific recording. Each folder follows the naming convention ``Rec_<timestamp>``, where the timestamp corresponds to the start time of the recording, expressed according to ISO 8601. The contents of these subfolders all have the same structure, which is described in the file called "recording_format".